// ************************************
// @package: handleMgr
// @description: 反射类-响应对象
// @author:
// @revision history:
// @create date: 2022-02-23 16:34:08
// ************************************

package handleMgr

// ResponseObject 响应对象
type ResponseObject struct {
	// 错误码
	Code int

	// 响应结果的状态值所对应的描述信息
	Message string

	// 响应结果的数据
	Data interface{}
}

// SetResultStatus
// @description: 设置响应结果的状态值
// parameter:
//		@receiver r:
//		@code:响应结果的错误码
//		@message:响应结果的字符串
// return:响应结果对象
//		@*ResponseObject:
func (r *ResponseObject) SetResultStatus(code int, message string) *ResponseObject {
	r.Code = code
	r.Message = message
	return r
}

// SetData
// @description: 设置响应结果的状态值
// parameter:
//		@receiver r:
//		@message:响应结果的字符串
// return:响应结果对象
//		@*ResponseObject:
func (r *ResponseObject) SetData(data interface{}) *ResponseObject {
	r.Data = data
	return r
}

// GetInitResponseObj
// @description: 初始化
// parameter:
//		@moduleName:模块名名称
//		@methodName:执行方法名称
//		@parameters:方法参数
//		@isHaveResult:是否处理返回值
// return:
//		@*ResponseObject:GetInitResponseObj
func GetInitResponseObj() *ResponseObject {
	return &ResponseObject{
		Message: "",
		Data:    nil,
	}
}
